From 32dbe4ebb10b96eed117852f1643bf1f854d96c0 Mon Sep 17 00:00:00 2001
From: Phil Elwell <phil@raspberrypi.org>
Date: Sun, 22 Dec 2019 15:29:40 +0000
Subject: [PATCH] overlays: i2c-rtc: Add pcf85363 support

See: https://github.com/raspberrypi/firmware/issues/1309

Signed-off-by: Phil Elwell <phil@raspberrypi.org>
---
 arch/arm/boot/dts/overlays/README              |  2 ++
 arch/arm/boot/dts/overlays/i2c-rtc-overlay.dts | 16 ++++++++++++++++
 2 files changed, 18 insertions(+)

--- a/arch/arm/boot/dts/overlays/README
+++ b/arch/arm/boot/dts/overlays/README
@@ -1078,6 +1078,8 @@ Params: abx80x                  Select o
 
         pcf8523                 Select the PCF8523 device
 
+        pcf85363                Select the PCF85363 device
+
         pcf8563                 Select the PCF8563 device
 
         rv3028                  Select the Micro Crystal RV3028 device
--- a/arch/arm/boot/dts/overlays/i2c-rtc-overlay.dts
+++ b/arch/arm/boot/dts/overlays/i2c-rtc-overlay.dts
@@ -188,6 +188,21 @@
 		};
 	};
 
+	fragment@12 {
+		target = <&i2c_arm>;
+	       __dormant__ {
+			#address-cells = <1>;
+			#size-cells = <0>;
+			status = "okay";
+
+			pcf85363@51 {
+				compatible = "nxp,pcf85363";
+				reg = <0x51>;
+				status = "okay";
+			};
+		};
+	};
+
 	__overrides__ {
 		abx80x = <0>,"+0";
 		ds1307 = <0>,"+1";
@@ -201,6 +216,7 @@
 		m41t62 = <0>,"+9";
 		rv3028 = <0>,"+10";
 		pcf2129 = <0>,"+11";
+		pcf85363 = <0>,"+12";
 
 		addr = <&abx80x>, "reg:0",
 		       <&ds1307>, "reg:0",
